#include <iostream>
#include <stdexcept>
#include <string>
using namespace std;

class MyException : public logic_error
{
public:
  MyException(const string& msg = "") : logic_error(msg.c_str()) {}
};

void f(int a[], int n) throw(MyException)
{
  int i = 0;
  cin >> i;
  if(i < 0 || i > n)
    throw MyException("...");
  a[i] = 1; 
}

int main()
{
  int a[5] = {0};
  try
  {
  	f(a, 5);
  }
  //catch(runtime_error e)
  catch(MyException e)
  {
    cout << e.what();
  }
  for(int i = 0; i < 5; i++)
    cout << a[i] << " ";
  return 0;
}
